AnsweredAssumed Answered

Developing on ACS 6.0 with Alfresco SDK 3.0.1?

Question asked by josh_barrett on Jul 30, 2018

ACS 6.0 has been officially released by Alfresco.    I am trying to build on top of this version  but ran into trouble trying to use the SDK 3.0.1.  I was able to get it to build the platform jar and share jar module in the All in one type by setting alfresco.platform.version to 6.0.0 and the alfresco.share.version to 6.0 but it fails on integration tests when I try to run mvn install.

 

[INFO] ------------------------------------------------------------------------

[INFO] Reactor Summary:

[INFO]

[INFO] AIO - SDK 3.0 1.0-SNAPSHOT ......................... SUCCESS  0.529 s]

[INFO] Alfresco Platform/Repository JAR Module ............ SUCCESS  2.233 s]

[INFO] Alfresco Share JAR Module .......................... SUCCESS [ 54.550 s]

[INFO] Integration Tests Module 1.0-SNAPSHOT .............. FAILURE  5.770 s]

[INFO] ------------------------------------------------------------------------

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time: 01:03 min

[INFO] Finished at: 2018-07-20T15:39:10-04:00

[INFO] ------------------------------------------------------------------------

[ERROR] Failed to execute goal org.alfresco.maven.plugin:alfresco-maven-plugin:3.0.1:it (start-alfresco) on project integration-tests: Unable to execute mojo: Unable to resolve artifact. Could not transfer artifact org.alfresco:alfresco-solr4:zip:config:6.0.0

 

I looked all over and can't find any reference to alfresco-solr4 in the pom files.   

 

Looks like this is tracked here as something being worked on [MNT-19790] Update Alfresco SDK to support ACS6 - Alfresco JIRA 

 

Is this the approach I should be taking to develop on ACS 6.0?   I know 6.0 just came out and usually I wouldn't touch it but I have a new project that isn't planned for go-live until the end of the calendar year.

 

 

Outcomes